www.ctrt.net > Struts2漏洞修复到2.3.24版本后正常启动,访问的时...

Struts2漏洞修复到2.3.24版本后正常启动,访问的时...

这报的不是找不到ACTION的错误吗? 你确定你输入地址没错,没改过什么xml文件?应该是访问地址有误

http://blog.knowsky.com/260578.htm

F:/javaProgram/workspace/.metadata/.plugins/org.eclipse.wst.server.core/tmp2/wtpwebapps/struts2/WEB-INF/lib路径下的struts2-core-2.2.1.jar跟你工程的包冲突了,把这个路径下得包删了,或者让两处的struts2-core-xx.jar保持一致就行了~~

使用JDK8 可以编译1.5, 1.6 等等. 如果你安装了Java8并且能够启动myeclipse,那就说明java8是可以用的 希望我的回答对你有帮助。

添加到项目引用 ~ ~ ~ ~

1,到官网上去下载struts2的所有资源包struts-2.3.24-all.zip 2,解压这个zip包,然后到apps目录下再次解压struts2-blank.war空白模版工程文件 3,进入到struts2-blank\WEB-INF 目录下 4,lib里是你需要的jar包,复制到你自己web项目的lib里去。...

struts-2.3.24-all\struts-2.3.24\apps下有个struts2-blank.war文件,你将它解压,其中lib文件夹中的jar包就是

java6是语言,哪有语言不支持库的... 而且struts的版本更新后必然是支持更新的版本的java,java6不可能不支持 你的问题应该是指struts和你项目下其他包不兼容,但从你的描述中是无法准确判断的

网站地图

All rights reserved Powered by www.ctrt.net

copyright ©right 2010-2021。
www.ctrt.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com